=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: gst-plugins-bad1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                flite-dev,
-               glslc,
+               glslc [!i386],
+               gstreamer1.0-plugins-base (>= 1.24.0),
+               gstreamer1.0-plugins-good (>= 1.24.0),
                gstreamer1.0-plugins-base (>= 1.24.0),
                gstreamer1.0-plugins-good (>= 1.24.0),
                gstreamer1.0-tools,
@@ -26,14 +29,14 @@
                libdc1394-dev (>= 2.2.5) [linux-any],
                libdca-dev,
                libde265-dev (>= 0.9),
-               libdirectfb-dev,
+               libdirectfb-dev [!i386],
                libdrm-dev (>= 2.4.98) [linux-any],
                libdvdnav-dev (>= 4.1.2) [!hurd-any],
                libexempi-dev,
                libexif-dev (>= 0.6.16),
                libfaad-dev (>= 2.7),
                libfluidsynth-dev (>= 1.0),
-               libfreeaptx-dev (>= 0.1.1),
+               libfreeaptx-dev (>= 0.1.1) [!i386],
                libgirepository1.0-dev (>= 0.9.12-4~),
                libglib2.0-dev (>= 2.68),
                libgme-dev,
@@ -50,13 +53,13 @@
                liblcms2-dev (>= 2.7),
                libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                liblilv-dev (>= 0.22),
-               liblrdf0-dev,
-               libltc-dev (>= 1.1.4),
+               liblrdf0-dev [!i386],
+               libltc-dev (>= 1.1.4) [!i386],
                libmfx-dev [amd64],
                libmjpegtools-dev (>= 2.0.0),
                libmodplug-dev,
                libmpcdec-dev,
-               libneon27-dev,
+               libneon27-dev [!i386],
                libnice-dev (>= 0.1.20),
                libopenal-dev (>= 1:1.14),
                libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha powerpc ppc64 sparc64],
@@ -64,12 +67,12 @@
                libopenh264-dev (>= 1.3.0),
                libopenjp2-7-dev (>= 2.2),
                libopenmpt-dev,
-               libopenni2-dev (>= 0.26) [linux-any],
+               libopenni2-dev (>= 0.26) [!i386],
                libopus-dev (>= 0.9.4),
                liborc-0.4-dev (>= 1:0.4.24),
                libpango1.0-dev (>= 1.22),
                libpng-dev,
-               libqrencode-dev,
+               libqrencode-dev [!i386],
                librsvg2-dev (>= 2.36.2),
                librtmp-dev,
                libsbc-dev (>= 1.1) [linux-any],
@@ -89,8 +92,6 @@
                libwayland-dev (>= 1.11.0) [linux-any],
                libwebp-dev (>= 0.2.1),
                libwildmidi-dev (>= 0.4.2),
-               libwpebackend-fdo-1.0-dev (>= 1.8.0) [linux-any],
-               libwpewebkit-2.0-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x ia64 loong64 powerpc sparc64 x32],
                libx11-dev,
                libx11-xcb-dev,
                libx265-dev,
@@ -99,7 +100,7 @@
                libxvidcore-dev,
                libzbar-dev (>= 0.9),
                libzvbi-dev,
-               libzxing-dev (>= 1.4.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha hppa hurd-i386 m68k powerpc ppc64 sparc64],
+               libzxing-dev (>= 1.4.0) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha hppa hurd-i386 m68k powerpc ppc64 sparc64],
                meson,
                nettle-dev (>= 3),
                opencv-data [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha powerpc ppc64 sparc64],
@@ -206,31 +207,6 @@
  .
  This package contains the OpenCV plugins.
 
-Package: gstreamer1.0-wpe
-Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x ia64 loong64 powerpc sparc64 x32
-Multi-Arch: same
-Depends: gstreamer1.0-plugins-base,
-         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-XB-GStreamer-Version: ${gstreamer:Version}
-XB-GStreamer-Elements: ${gstreamer:Elements}
-XB-GStreamer-URI-Sources: ${gstreamer:URISources}
-Description: GStreamer WPEWebKit plugin
- GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
- to the rest. They might be close to being good quality, but they're missing
- something - be it a good code review, some documentation, a set of tests, a
- real live maintainer, or some actual wide use.
- .
- This package contains the WPEWebKit plugin.
-
 Package: libgstreamer-plugins-bad1.0-0
 Architecture: any
 Multi-Arch: same
@@ -263,3 +239,26 @@
  which operate on media data.  Applications using this library can do
  anything from real-time sound processing to playing videos, and just
  about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
+ to the rest. They might be close to being good quality, but they're missing
+ something - be it a good code review, some documentation, a set of tests, a
+ real live maintainer, or some actual wide use.
+ .
+ This package contains shared GStreamer libraries for OpenCV.
+
+Package: libgstreamer-plugins-bad1.0-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: gir1.2-gst-plugins-bad-1.0 (= ${binary:Version}),
+         libgstreamer-opencv1.0-0 (= ${binary:Version}) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha powerpc ppc64 sparc64],
+         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
+         libgstreamer-plugins-base1.0-dev,
+         libgstreamer-plugins-good1.0-dev,
+         libgstreamer1.0-dev,
+         libopencv-dev (>= 2.3.0) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha powerpc ppc64 sparc64],
+         ${misc:Depends}
+Conflicts: pitivi (<< 0.9999)
