=== debian/control ===
--- 
+++ 
@@ -10,8 +10,6 @@
                dh-sequence-gir,
                flite-dev,
                glslc [!i386],
-               gstreamer1.0-plugins-base (>= 1.24.0),
-               gstreamer1.0-plugins-good (>= 1.24.0),
                gstreamer1.0-plugins-base (>= 1.24.0),
                gstreamer1.0-plugins-good (>= 1.24.0),
                gstreamer1.0-tools,
@@ -91,6 +89,7 @@
                libvulkan-dev [linux-any],
                libwayland-dev (>= 1.11.0) [linux-any],
                libwebp-dev (>= 0.2.1),
+               libwebrtc-audio-processing-dev (>= 1.0),
                libwildmidi-dev (>= 0.4.2),
                libx11-dev,
                libx11-xcb-dev,
@@ -262,3 +261,4 @@
          libopencv-dev (>= 2.3.0) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha powerpc ppc64 sparc64],
          ${misc:Depends}
 Conflicts: pitivi (<< 0.9999)
+Description: GStreamer development files for libraries from the "bad" set
