=== debian/rules ===
--- 
+++ 
@@ -76,7 +76,7 @@
 endif
 
 # bookworm backport flags
-conf_flags += -Daja=disabled -Dqt6d3d11=disabled -Dwebrtcdsp=disabled
+conf_flags += -Daja=disabled -Dqt6d3d11=disabled
 
 %:
 	dh $@
